Bug 929173 - Empty fields for specifying user and group IDs
Empty fields for specifying user and group IDs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-03-29 07:34 EDT by Jan Stodola
Modified: 2013-04-08 23:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-19.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 23:39:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot - empty UID (113.45 KB, image/png)
2013-03-29 07:34 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-03-29 07:34:00 EDT
Created attachment 718039 [details]
screenshot - empty UID

Description of problem:
Advanced user configuration screen allows to specify user and group IDs manually. When user enables this option, the field with ID is empty by default - see attached screenshot. It would be better if there is some default value already pre-filled by anaconda (e.g. 1000).

Version-Release number of selected component (if applicable):
F19-Alpha-TC3
anaconda-19.14
pykickstart-1.99.26

How reproducible:
always

Steps to Reproduce:
1. start graphical installation
2. configure partitioning/package set
3. begin with installation
4. click on User creation
5. click on Advanced...
6. check "Specify a user ID manually:" (the same for group ID)
  
Actual results:
the field for entering UID/GID is empty

Expected results:
default value in the UID/GID field
Comment 1 Fedora Update System 2013-04-02 20:08:01 EDT
anaconda-19.15-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.15-1.fc19
Comment 2 Fedora Update System 2013-04-03 12:08:45 EDT
Package anaconda-19.15-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.15-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4754/anaconda-19.15-1.fc19
then log in and leave karma (feedback).
Comment 3 Jan Stodola 2013-04-04 05:09:50 EDT
Retested with anaconda-19.15, F19-Alpha-TC4, this issue is fixed. 1000 is the default value for both UID and GID.

Thanks, moving to VERIFIED.
Comment 4 Fedora Update System 2013-04-04 20:51:23 EDT
anaconda-19.16-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/anaconda-19.16-2.fc19
Comment 5 Fedora Update System 2013-04-08 23:39:06 EDT
anaconda-19.16-2.fc19, python-meh-0.22-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.